VERSION 5.00
Begin VB.Form PicLoadDialog 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Load Image"
   ClientHeight    =   2475
   ClientLeft      =   2130
   ClientTop       =   3990
   ClientWidth     =   6300
   Icon            =   "PicLoadDialog.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   165
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   420
   Begin VB.CommandButton NobButton 
      Enabled         =   0   'False
      Height          =   255
      Left            =   6000
      TabIndex        =   8
      Top             =   2160
      Width           =   255
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   3780
      TabIndex        =   7
      Top             =   2160
      Width           =   2220
   End
   Begin VB.VScrollBar VScroll1 
      Height          =   1740
      Left            =   6000
      TabIndex        =   6
      Top             =   420
      Width           =   255
   End
   Begin VB.PictureBox picHolder 
      BackColor       =   &H00FFFFFF&
      Height          =   1740
      Left            =   3780
      ScaleHeight     =   112
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   144
      TabIndex        =   5
      Top             =   420
      Width           =   2220
      Begin VB.PictureBox Canvas 
         AutoRedraw      =   -1  'True
         AutoSize        =   -1  'True
         BackColor       =   &H00FFFFFF&
         BorderStyle     =   0  'None
         Height          =   435
         Left            =   0
         ScaleHeight     =   29
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   33
         TabIndex        =   9
         Top             =   0
         Width           =   495
      End
   End
   Begin VB.CommandButton CancelButton 
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   5040
      TabIndex        =   4
      Top             =   60
      Width           =   1215
   End
   Begin VB.CommandButton OKButton 
      Caption         =   "OK"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   3780
      TabIndex        =   3
      Top             =   60
      Width           =   1215
   End
   Begin VB.DriveListBox Drive1 
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   330
      Left            =   60
      TabIndex        =   2
      Top             =   60
      Width           =   1815
   End
   Begin VB.DirListBox Dir1 
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2010
      Left            =   60
      TabIndex        =   1
      Top             =   420
      Width           =   1755
   End
   Begin VB.FileListBox File1 
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2400
      Left            =   1920
      TabIndex        =   0
      Top             =   60
      Width           =   1815
   End
End
Attribute VB_Name = "PicLoadDialog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub CancelButton_Click()
    Unload Me
End Sub

Private Sub Dir1_Change()
    File1.Path = Dir1.Path
End Sub

Private Sub Drive1_Change()
    On Error Resume Next
    Dir1.Path = Drive1.Drive
End Sub

Private Sub File1_Click()
    Dim TheFile As String
    On Error Resume Next
    TheFile = Dir1.Path
    If Right(TheFile, 1) <> "\" Then TheFile = TheFile & "\"
    TheFile = TheFile & File1.List(File1.ListIndex)
    Canvas.Picture = LoadPicture(TheFile)
    VScroll1.Value = 0
    HScroll1.Value = 0
    Call SetPicSize
End Sub

Private Sub Form_Load()
    ' center the form
    Me.Top = (Screen.Height - Me.Height) / 2
    Me.Left = (Screen.Width - Me.Width) / 2
    ' set what kind of files can go in the filebox
    File1.Pattern = "*.bmp;*.jpg;*.gif;*.ico"
End Sub

Public Sub SetPicSize()
    ' Same idea as the one on frmEasel
    If Canvas.ScaleWidth > picHolder.ScaleWidth Then
        HScroll1.Enabled = True
        HScroll1.Max = Canvas.ScaleWidth - picHolder.ScaleWidth
        HScroll1.LargeChange = Int(HScroll1.Max \ 25) + 1
        HScroll1.SmallChange = Int(HScroll1.Max \ 200) + 1
    Else
        HScroll1.Enabled = False
    End If
    
    If Canvas.ScaleHeight > picHolder.ScaleHeight Then
        VScroll1.Enabled = True
        VScroll1.Max = Canvas.ScaleHeight - picHolder.ScaleHeight
        VScroll1.LargeChange = Int(VScroll1.Max \ 25) + 1
        VScroll1.SmallChange = Int(VScroll1.Max \ 200) + 1
    Else
        VScroll1.Enabled = False
    End If
End Sub

Private Sub HScroll1_Change()
    ' Change the position so a different part of the picture can be seen
    Canvas.Left = 0 - (HScroll1.Value)
End Sub

Private Sub HScroll1_Scroll()
    ' Change the position so a different part of the picture can be seen
    Canvas.Left = 0 - (HScroll1.Value)
End Sub

Private Sub OKButton_Click()
    Dim TheFile As String
    
    If Dir1.Path = "" Or File1.FileName = "" Then
        MsgBox "No file selected.", vbCritical, "PAT or JK"
        Exit Sub
    End If

    TheFile = Dir1.Path
    If Right(TheFile, 1) <> "\" Then TheFile = TheFile & "\"
    TheFile = TheFile & File1.FileName
    ' set the options in the control area
    MosaicControls.txtFileName.Text = TheFile
    MosaicControls.ImageToCreate.AutoSize = True
    MosaicControls.ImageToCreate.Picture = LoadPicture(TheFile)
    Set MosaicControls.TheMosPic = MosaicControls.ImageToCreate.Picture
    MosaicControls.PicWidth = MosaicControls.ImageToCreate.ScaleWidth
    MosaicControls.PicHeight = MosaicControls.ImageToCreate.ScaleHeight
    MosaicControls.ImageToCreate.AutoSize = False
    Call MosaicControls.CalPicSize
    ' unload this dialog
    Unload Me
End Sub

Private Sub VScroll1_Change()
    ' Change the position so a different part of the picture can be seen
    Canvas.Top = 0 - (VScroll1.Value)
End Sub

Private Sub VScroll1_Scroll()
    ' Change the position so a different part of the picture can be seen
    Canvas.Top = 0 - (VScroll1.Value)
End Sub
